components:
  schemas:
    Sensor_ElectricalContext:
      enum:
      - Line1
      - Line2
      - Line3
      - Neutral
      - LineToLine
      - Line1ToLine2
      - Line2ToLine3
      - Line3ToLine1
      - LineToNeutral
      - Line1ToNeutral
      - Line2ToNeutral
      - Line3ToNeutral
      - Line1ToNeutralAndL1L2
      - Line2ToNeutralAndL1L2
      - Line2ToNeutralAndL2L3
      - Line3ToNeutralAndL3L1
      - Total
      type: string
      x-enumDescriptions:
        Line1: The circuits that share the L1 current-carrying conductor.
        Line1ToLine2: The circuit formed by L1 and L2 current-carrying conductors.
        Line1ToNeutral: The circuit formed by L1 and neutral current-carrying conductors.
        Line1ToNeutralAndL1L2: The circuit formed by L1, L2, and neutral current-carrying
          conductors.
        Line2: The circuits that share the L2 current-carrying conductor.
        Line2ToLine3: The circuit formed by L2 and L3 current-carrying conductors.
        Line2ToNeutral: The circuit formed by L2 and neutral current-carrying conductors.
        Line2ToNeutralAndL1L2: The circuit formed by L1, L2, and Neutral current-carrying
          conductors.
        Line2ToNeutralAndL2L3: The circuits formed by L2, L3, and neutral current-carrying
          conductors.
        Line3: The circuits that share the L3 current-carrying conductor.
        Line3ToLine1: The circuit formed by L3 and L1 current-carrying conductors.
        Line3ToNeutral: The circuit formed by L3 and neutral current-carrying conductors.
        Line3ToNeutralAndL3L1: The circuit formed by L3, L1, and neutral current-carrying
          conductors.
        LineToLine: The circuit formed by two current-carrying conductors.
        LineToNeutral: The circuit formed by a line and neutral current-carrying conductor.
        Neutral: The grounded current-carrying return circuit of current-carrying
          conductors.
        Total: The circuit formed by all current-carrying conductors.
      x-enumLongDescriptions:
        Line1: This value shall represent a circuit that shares the L1 current-carrying
          conductor, such as circuits with phase wiring types of Two-phase / 3-Wire
          or 4-Wire, or Three-phase / 4-Wire or 5-Wire.
        Line1ToLine2: This value shall represent a circuit formed by L1 and L2 current-carrying
          conductors, such as circuits with phase wiring types of Two-phase / 3-Wire
          or 4-Wire, or Three-phase / 4-Wire or 5-Wire.
        Line1ToNeutral: This value shall represent a circuit formed by L1 and neutral
          current-carrying conductors, such as circuits with phase wiring types of
          Single-phase / 3-Wire, Two-phase / 3-Wire or 4-Wire, or Three-phase / 4-Wire
          or 5-Wire.
        Line1ToNeutralAndL1L2: This value shall represent a circuit formed by L1,
          L2, and neutral current-carrying conductors, such as circuits with phase
          wiring types of Two-phase/ 4-Wire or Three-phase / 5-Wire.
        Line2: This value shall represent a circuit that shares the L2 current-carrying
          conductor, such as circuits with phase wiring types of Two-phase / 4-Wire
          or Three-phase / 4-Wire or 5-Wire.
        Line2ToLine3: This value shall represent a circuit formed by L2 and L3 current-carrying
          conductors, such as circuits with phase wiring types of Three-phase / 4-Wire
          or 5-Wire.
        Line2ToNeutral: This value shall represent a circuit formed by L2 and neutral
          current-carrying conductors, such as circuits with phase wiring types of
          Two-phase / 4-Wire or Three-phase / 5-Wire.
        Line2ToNeutralAndL1L2: This value shall represent a circuit formed by L1,
          L2, and neutral current-carrying conductors, such as circuits with phase
          wiring types of Two-phase/ 4-Wire or Three-phase / 5-Wire.
        Line2ToNeutralAndL2L3: This value shall represent a circuit formed by L2,
          L3, and neutral current-carrying conductors, such as circuits with a phase
          wiring type of Three-phase / 5-Wire.
        Line3: This value shall represent a circuit that shares the L3 current-carrying
          conductor, such as circuits with phase wiring types of Three-phase / 4-Wire
          or 5-Wire.
        Line3ToLine1: This value shall represent a circuit formed by L3 and L1 current-carrying
          conductors, such as circuits with phase wiring types of Three-phase / 4-Wire
          or 5-Wire.
        Line3ToNeutral: This value shall represent a circuit formed by L3 and neutral
          current-carrying conductors, such as circuits with a phase wiring type of
          Three-phase / 5-Wire.
        Line3ToNeutralAndL3L1: This value shall represent a circuit formed by L3,
          L1, and neutral current-carrying conductors, such as circuits with a phase
          wiring type of Three-phase / 5-Wire.
        LineToLine: This value shall represent a circuit formed by two current-carrying
          conductors, such as circuits with phase wiring types of Two-phase / 3-Wire
          or 4-Wire, or Three-phase / 4-Wire or 5-Wire.
        LineToNeutral: This value shall represent a circuit formed by a line and neutral
          current-carrying conductor, such as circuits with phase wiring types of
          Single-phase / 3-Wire, Two-phase / 4-Wire, or Three-phase / 4-Wire or 5-Wire.
        Neutral: This value shall represent the grounded current-carrying return circuit
          of current-carrying conductors, such as circuits with phase wiring types
          of Single-phase / 3-Wire, Two-phase / 4-Wire, or Three-phase / 5-Wire.
        Total: This value shall represent the circuits formed by all current-carrying
          conductors for any phase wiring type.
    Sensor_Sensor:
      $ref: http://redfish.dmtf.org/schemas/v1/Sensor.v1_8_1.yaml#/components/schemas/Sensor_v1_8_1_Sensor
      description: The Sensor schema describes a sensor and its properties.
      x-longDescription: This resource shall represent a sensor for a Redfish implementation.
    Sensor_SensorArrayExcerpt:
      $ref: http://redfish.dmtf.org/schemas/v1/Sensor.v1_8_1.yaml#/components/schemas/Sensor_v1_8_1_SensorArrayExcerpt
    Sensor_SensorCurrentExcerpt:
      $ref: http://redfish.dmtf.org/schemas/v1/Sensor.v1_8_1.yaml#/components/schemas/Sensor_v1_8_1_SensorCurrentExcerpt
    Sensor_SensorEnergykWhExcerpt:
      $ref: http://redfish.dmtf.org/schemas/v1/Sensor.v1_8_1.yaml#/components/schemas/Sensor_v1_8_1_SensorEnergykWhExcerpt
    Sensor_SensorExcerpt:
      $ref: http://redfish.dmtf.org/schemas/v1/Sensor.v1_8_1.yaml#/components/schemas/Sensor_v1_8_1_SensorExcerpt
    Sensor_SensorFanArrayExcerpt:
      $ref: http://redfish.dmtf.org/schemas/v1/Sensor.v1_8_1.yaml#/components/schemas/Sensor_v1_8_1_SensorFanArrayExcerpt
    Sensor_SensorFanExcerpt:
      $ref: http://redfish.dmtf.org/schemas/v1/Sensor.v1_8_1.yaml#/components/schemas/Sensor_v1_8_1_SensorFanExcerpt
    Sensor_SensorPowerArrayExcerpt:
      $ref: http://redfish.dmtf.org/schemas/v1/Sensor.v1_8_1.yaml#/components/schemas/Sensor_v1_8_1_SensorPowerArrayExcerpt
    Sensor_SensorPowerExcerpt:
      $ref: http://redfish.dmtf.org/schemas/v1/Sensor.v1_8_1.yaml#/components/schemas/Sensor_v1_8_1_SensorPowerExcerpt
    Sensor_SensorPumpExcerpt:
      $ref: http://redfish.dmtf.org/schemas/v1/Sensor.v1_8_1.yaml#/components/schemas/Sensor_v1_8_1_SensorPumpExcerpt
    Sensor_SensorVoltageExcerpt:
      $ref: http://redfish.dmtf.org/schemas/v1/Sensor.v1_8_1.yaml#/components/schemas/Sensor_v1_8_1_SensorVoltageExcerpt
    Sensor_VoltageType:
      enum:
      - AC
      - DC
      type: string
      x-enumDescriptions:
        AC: Alternating current.
        DC: Direct current.
title: '#Sensor.Sensor'
x-copyright: Copyright 2014-2023 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
